aboutsummaryrefslogtreecommitdiffstats
path: root/testing/evolution/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 22:45:08 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 22:45:08 -0600
commit7889a8fbe8a6738d492c93017eb989979c3159f6 (patch)
treea5fd2daf3b38dfd433f803be6533ca650d749056 /testing/evolution/APKBUILD
parent6ee5b21ac9562bb2d461a94b173ced6ea5ff4991 (diff)
downloadaports-7889a8fbe8a6738d492c93017eb989979c3159f6.tar.gz
aports-7889a8fbe8a6738d492c93017eb989979c3159f6.tar.bz2
aports-7889a8fbe8a6738d492c93017eb989979c3159f6.tar.xz
testing/evolution: new aport
Diffstat (limited to 'testing/evolution/APKBUILD')
-rw-r--r--testing/evolution/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/evolution/APKBUILD b/testing/evolution/APKBUILD
new file mode 100644
index 0000000000..428c37de38
--- /dev/null
+++ b/testing/evolution/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=evolution
+pkgver=2.32.1
+pkgrel=0
+pkgdesc="evolution mail client"
+url="http://projects.gnome.org/evolution"
+arch="all"
+license="GPL"
+depends="gnome-icon-theme"
+depends_dev="gtk+-dev glib-dev libsoup-dev libxml2-dev gconf-dev libgdata-dev db-dev libgweather-dev libgnome-keyring-dev libical-dev nspr-dev nss-dev sqlite-dev evolution-data-server-dev
+ gnome-desktop-dev libunique-dev gtkhtml-dev gstreamer-dev gst-plugins-base-dev gtkimageview-dev openldap-dev"
+makedepends="$depends_dev gperf flex bison"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.pre-deinstall"
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-nm \
+ --disable-pst-import \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="47c1d45366aaa69e79a320f351ef065d evolution-2.32.1.tar.bz2"